Public Class frmDY_LogBuch
    Dim dy_id = dy_id
    Dim SQL As New VERAG_PROG_ALLGEMEIN.SQL
    Sub New(dy_id)

        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()

        Me.dy_id = dy_id
        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.

    End Sub

    Private Sub frmDY_LogBuch_Load(sender As Object, e As EventArgs) Handles Me.Shown
        initDGV()
    End Sub
    Sub initDGV()
        lblBezugsNr.Text = ""
        With DataGridView
            .Columns.Clear()
            .DataSource = SQL.loadDgvBySql("SELECT isNull([dySt_BezugsNr],'') as dySt_BezugsNr,[dySt_status] as [Status] ,[dySt_ergCode] as [Code] ,[dySt_ergMitteilung] as [Mitteilung] ,isnull(cast(convert(varchar,[dySt_ergZeitpunkt] ,113) as varchar(20)),'') as Zeitstempel" &
                                           " FROM [tblDakosy_Statusmeldungen]  where dySt_dyId='" & dy_id & "'", "FMZOLL")

            If .ColumnCount = 0 Then Exit Sub

            .Columns("dySt_BezugsNr").Visible = False
            .AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.AllCells

            .Columns("Mitteilung").AutoSizeMode = DataGridViewAutoSizeColumnMode.Fill
            '.Columns("Zeitstempel").DefaultCellStyle.Format = "dd.MM.yyyy HH:mm:ss"

            If .RowCount > 0 Then
                lblBezugsNr.Text = .Rows(0).Cells("dySt_BezugsNr").Value
            End If
        End With
    End Sub
End Class